Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.control
Class OutgoingActionResponseMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpResponse>
          org.teleal.cling.model.message.StreamResponseMessage
              org.teleal.cling.model.message.control.OutgoingActionResponseMessage

All Implemented Interfaces:
  ActionMessage, ActionResponseMessage

    public class OutgoingActionResponseMessage

extends StreamResponseMessage
implements ActionResponseMessage

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingActionResponseMessage(Action action)`
`OutgoingActionResponseMessage(UpnpResponse.Status status)`
`OutgoingActionResponseMessage(UpnpResponse.Status status, Action action)`

Method Summary
`protected void` | `addHeaders()`
`String` | `getActionNamespace()`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.teleal.cling.model.message.control.ActionMessage
`getBody, getBodyBytes, getBodyString, getBodyType, setBody`

Constructor Detail

### OutgoingActionResponseMessage

    public OutgoingActionResponseMessage(Action action)

### OutgoingActionResponseMessage

    public OutgoingActionResponseMessage(UpnpResponse.Status status)

### OutgoingActionResponseMessage

    public OutgoingActionResponseMessage(UpnpResponse.Status status,
                                         Action action)

Method Detail

### addHeaders

    protected void addHeaders()

### getActionNamespace

    public String getActionNamespace()

  Specified by:
    `getActionNamespace` in interface `ActionMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.